//-*-C++-*- 
// Copyright (C) 1997 by John P. Weiss
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#ifndef _paneldefs_h_
#define _paneldefs_h_
#include "enums.h"

//Global defines for the panel

// Reconfigurable things.
#define FONTFACE "Helvetica"
#define BIGPOINT 12
#define MEDPOINT 10
#define SMALLPOINT 8
#define BIGFONT FONTFACE,BIGPOINT
#define MEDFONT FONTFACE,MEDPOINT
#define SMALLFONT FONTFACE,SMALLPOINT

#define COLOR_LOCKED red
#define COLOR_UNLOCKED green.dark(150)
#define COLOR_DISPLAY QColor(0,128,255)

#define WIDGET_SEP 4
#define SCALE_SIZE_CUTOFF 0.75

// Use standard text measures [the "M" and the "."] to set the
// trackname line width, since Helvetica has variable spacing.
#define WIDE_TITLE_STRING ".MMMMM.MMMMM.MMMMM.MMMMM.MMMMM.";
#define COMPACT_TITLE_STRING ".MMMMM.MMMMM.MMMMM.MM.";
#define EM_STRING "M"

// Display panel text
#define LABEL_TITLE "Title:"
#define LABEL_ARTIST "Artist:"
#define NULL_TRACK "--"
#define NULL_TIME "--:--"
#define LABELS_TIME_MODE_ICON {"Elapsed:","Remaining:","Elapsed:\n[ All ]","Remaining:\n[ All ]"}

// Control widget text
#define LABEL_WINTITLEBAR "T.Bar" //"WinCtrl"
#define LABEL_LOCKED "locked"
#define LABEL_UNLOCKED "unlocked"

// Special buttons and associated menus text.
#define LABEL_VOLUME "Volume:"
#define LABEL_TIMEMODE "Display"
#define LABEL_PLAYMODE "Mode"
#define LABEL_PLAYLIST "Catalog"
#define LABEL_PROGRAM "Program"
#define LABEL_CONFIGURE "Config."

#define SHORTLABEL_VOLUME "Vol:"
#define SHORTLABEL_TIMEMODE "Disp."
#define SHORTLABEL_PLAYLIST "Cat."
#define SHORTLABEL_PROGRAM "Prog."
#define SHORTLABEL_CONFIGURE "Cfg."

#define LABEL_EL "Elapsed"
#define LABEL_REM "Remaining"
#define LABEL_ELALL "Elapsed: All"
#define LABEL_REMALL "Remaining: All"

#define LABEL_NORM "Normal"
#define LABEL_REPALL "Repeat"
#define LABEL_REP1 "Repeat-1"
#define LABEL_SHUFFLE "Shuffle"





#endif //_paneldefs_h_
//||||||||||||||||||||||||||||||||
//
// End
// 
